Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl
Class AuditableEventTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.RegistryObjectTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.AuditableEventTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AuditableEventType, RegistryObjectType

    public class AuditableEventTypeImpl

extends RegistryObjectTypeImpl
implements AuditableEventType

An implementation of the model object 'Auditable Event Type'.

The following features are implemented:

- `Event Type`
- `Registry Object`
- `Timestamp`
- `User`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`EventTypeType` | `getEventType()`
`java.lang.String` | `getRegistryObject()`
`java.lang.Object` | `getTimestamp()`
`java.lang.String` | `getUser()`
`boolean` | `isSetEventType()`
`void` | `setEventType(EventTypeType newEventType)`
`void` | `setRegistryObject(java.lang.String newRegistryObject)`
`void` | `setTimestamp(java.lang.Object newTimestamp)`
`void` | `setUser(java.lang.String newUser)`
`java.lang.String` | `toString()`
`void` | `unsetEventType()`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.RegistryObjectTypeImpl
`basicSetDescription, basicSetName, eInverseRemove, getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryObjectType
`getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getEventType

    public EventTypeType getEventType()

  Specified by:
    `getEventType` in interface `AuditableEventType`
  Returns:
    the value of the 'Event Type' attribute.
  See Also:
    `EventTypeType`, `AuditableEventType.isSetEventType()`, `AuditableEventType.unsetEventType()`, `AuditableEventType.setEventType(EventTypeType)`, `RimPackage.getAuditableEventType_EventType()`

### setEventType

    public void setEventType(EventTypeType newEventType)

  Specified by:
    `setEventType` in interface `AuditableEventType`
  Parameters:
    `newEventType` - the new value of the 'Event Type' attribute.
  See Also:
    `EventTypeType`, `AuditableEventType.isSetEventType()`, `AuditableEventType.unsetEventType()`, `AuditableEventType.getEventType()`

### unsetEventType

    public void unsetEventType()

  Specified by:
    `unsetEventType` in interface `AuditableEventType`
  See Also:
    `AuditableEventType.isSetEventType()`, `AuditableEventType.getEventType()`, `AuditableEventType.setEventType(EventTypeType)`

### isSetEventType

    public boolean isSetEventType()

  Specified by:
    `isSetEventType` in interface `AuditableEventType`
  Returns:
    whether the value of the 'Event Type' attribute is set.
  See Also:
    `AuditableEventType.unsetEventType()`, `AuditableEventType.getEventType()`, `AuditableEventType.setEventType(EventTypeType)`

### getRegistryObject

    public java.lang.String getRegistryObject()

  Specified by:
    `getRegistryObject` in interface `AuditableEventType`
  Returns:
    the value of the 'Registry Object' attribute.
  See Also:
    `AuditableEventType.setRegistryObject(String)`, `RimPackage.getAuditableEventType_RegistryObject()`

### setRegistryObject

    public void setRegistryObject(java.lang.String newRegistryObject)

  Specified by:
    `setRegistryObject` in interface `AuditableEventType`
  Parameters:
    `newRegistryObject` - the new value of the 'Registry Object' attribute.
  See Also:
    `AuditableEventType.getRegistryObject()`

### getTimestamp

    public java.lang.Object getTimestamp()

  Specified by:
    `getTimestamp` in interface `AuditableEventType`
  Returns:
    the value of the 'Timestamp' attribute.
  See Also:
    `AuditableEventType.setTimestamp(Object)`, `RimPackage.getAuditableEventType_Timestamp()`

### setTimestamp

    public void setTimestamp(java.lang.Object newTimestamp)

  Specified by:
    `setTimestamp` in interface `AuditableEventType`
  Parameters:
    `newTimestamp` - the new value of the 'Timestamp' attribute.
  See Also:
    `AuditableEventType.getTimestamp()`

### getUser

    public java.lang.String getUser()

  Specified by:
    `getUser` in interface `AuditableEventType`
  Returns:
    the value of the 'User' attribute.
  See Also:
    `AuditableEventType.setUser(String)`, `RimPackage.getAuditableEventType_User()`

### setUser

    public void setUser(java.lang.String newUser)

  Specified by:
    `setUser` in interface `AuditableEventType`
  Parameters:
    `newUser` - the new value of the 'User' attribute.
  See Also:
    `AuditableEventType.getUser()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RegistryObjectTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RegistryObjectTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RegistryObjectTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RegistryObjectTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RegistryObjectTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD